eoInitVirus1bit(3)

NAME
eoInitVirus1bit - Inits the virus with one bit to the left set to one.

SYNOPSIS

#include <eoInitVirus.h>

Inherits eoInit< eoVirus< FitT > >.

  Public Member Functions
eoInitVirus1bit (unsigned _combien, eoRndGenerator< bool > &_generator)
virtual void operator() (eoVirus< FitT > &chrom)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
unsigned combien
eoSTLF< bool > generator
generic wrapper for eoFunctor (s), to make them have the function-pointer style copy semantics

Detailed Description

  template<class FitT> class eoInitVirus1bit< FitT >
Inits the virus with one bit to the left set to one.

Definition at line 66 of file eoInitVirus.h.

Author

Generated automatically by Doxygen for EO from the source code.